import { Component, OnInit, ViewChild } from "@angular/core";
import { EnviarInfoService } from "../../../Administrador/services/enviar-info.service";
import { MatPaginator, MatPaginatorIntl } from "@angular/material/paginator";
import { RelacionService } from "../../../Administrador/services/relacion.service";
import { MatTableDataSource } from "@angular/material/table";
import { RegistroAcademicoService } from "../../services/registroAcademico.service";
import jsPDF from "jspdf";



@Component({
  selector: 'app-registroAlumno',
  templateUrl: './registroAlumno.component.html',
  styleUrls: ['./registroAlumno.component.css'],
})
export class registroAlumnoComponent implements OnInit {
  public userData = JSON.parse(localStorage.getItem('userData') || '');
  color: string = '';
  textColor: string = '';
  DataAlumno: any;
  registros: any;
  srtLink = 'Ir a el registro';
  isLoading: boolean = true;
  displayedColumns: string[] = ['id', 'nombre', 'grado', 'SiguientePaso', 'RegistroAcademico', 'RegistroAdministrativo', 'VersionImpresa'];
  dataSource = new MatTableDataSource<any>([]);

  @ViewChild(MatPaginator) paginator!: MatPaginator;
  constructor(
    private _enviarInfo: EnviarInfoService,
    private paginator1: MatPaginatorIntl,
    private _relacionService: RelacionService,
    private _registroService: RegistroAcademicoService
  ) {
    const spanishRangeLabel = (page: number, pageSize: number, length: number): string => {
      if (length === 0 || pageSize === 0) {
        return `0 de ${length}`;
      }
      length = Math.max(length, 0);
      const startIndex = page * pageSize;
      const endIndex = startIndex < length ?
        Math.min(startIndex + pageSize, length) :
        startIndex + pageSize;
      return `${startIndex + 1} - ${endIndex} de ${length}`;
    };

    this.paginator1.nextPageLabel = "Siguiente";
    this.paginator1.previousPageLabel = "Anterior";
    this.paginator1.firstPageLabel = "Ir a la primer página";
    this.paginator1.lastPageLabel = "Ir a la última página";
    this.paginator1.itemsPerPageLabel = "Registros por página";
    this.paginator1.getRangeLabel = spanishRangeLabel;
  }



  ngOnInit(): void {
    this._enviarInfo.currentTextColor.subscribe(textColor => {
      this.textColor = textColor;
    });
    this._enviarInfo.currentColor.subscribe(color => {
      this.color = color;
    });
    this.getAlumnos();
  }

  getAlumnos() {
    this._relacionService.getAlumnos().subscribe((data: any) => {
      this.isLoading = false;
      this.registros = data.alumnos.filter((registro: any) => registro.nombrePadres.some((padre: any) => padre.idPadre === this.userData[0]));
      this.dataSource = new MatTableDataSource(this.registros);
      this.dataSource.paginator = this.paginator;
    });
  }
  nombre(data: any) {
    this.DataAlumno = {
      id: data.idUsuario,
      nombre: data.nombreAlumno
    }
    localStorage.setItem('nombreAlumno', JSON.stringify(this.DataAlumno));
  }

  descargarPDF(id: string) {
    this._registroService.getOneRegistroAcademico(id).subscribe((response: any) => {
      console.log(response);
      const data = response[0]
      const doc = new jsPDF();
      var pageHeight = doc.internal.pageSize.height || doc.internal.pageSize.getHeight();
      var pageWidth = doc.internal.pageSize.width || doc.internal.pageSize.getWidth();
      //TITULO DE LADO
      doc.setFont("helvetica", "italic");
      doc.setFontSize(10);
      doc.text(`DATOS GENERALES: ALUMNO`, 10, 43);
      doc.text(`PERSONAS AUTORIZADAS`, 10, 90);
      doc.text(`DATOS GENERALES: PADRE DE FAMILIA O TUTOR`, 10, 122);
      doc.text(`DATOS GENERALES: MADRE DE FAMILIA O TUTOR`, 10, 164);

      //LADO IZQUIERDO
      //IZQUIERDO NEGRITAS
      doc.setFont("helvetica", "bold");
      doc.setFontSize(8);
      doc.text(`Nombre del Alumno:`, 10, 50);
      doc.text(`C.U.R.P:`, 10, 55);
      doc.text(`Lugar de Nacimiento:`, 10, 60);
      doc.text(`Dirección:`, 10, 65);
      doc.text(`Teléfono:`, 10, 70);
      doc.text(`Institución de Procedencia:`, 10, 75);
      doc.text(`Motivo de Cambio:`, 10, 80);
      doc.text(`Madre de Familia puede recoger al alumno (a):`, 10, 97);
      doc.text(`Persona autorizada para recoger al alumno(a):`, 10, 102);
      doc.text(`Persona autorizada para recoger al alumno(a):`, 10, 107);
      doc.text(`Autorizo al alumno(a) a retirarse solo(a):`, 10, 112);
      doc.text(`Nombre del Padre:`, 10, 129);
      doc.text(`Nacionalidad:`, 10, 134);
      doc.text(`Estado Civil:`, 55, 134);
      doc.text(`Fecha de Nacimiento:`, 95, 134);
      doc.text(`Escolaridad:`, 145, 134);
      doc.text(`Dirección:`, 10, 139);
      doc.text(`Ocupacion:`, 10, 144);
      doc.text(`Lugar de Trabajo:`, 10, 149);
      doc.text(`Telefono de Trabajo:`, 10, 154);
      doc.text(`Celular:`, 63, 154);
      doc.text(`Correo Electrónico:`, 100, 154);
      //-
      doc.text(`Nombre del Madre:`, 10, 171);
      doc.text(`Nacionalidad:`, 10, 176);
      doc.text(`Estado Civil:`, 55, 176);
      doc.text(`Fecha de Nacimiento:`, 95, 176);
      doc.text(`Escolaridad:`, 145, 176)
      doc.text(`Dirección:`, 10, 181);
      doc.text(`Ocupacion:`, 10, 186);
      doc.text(`Lugar de Trabajo:`, 10, 191);
      doc.text(`Telefono de Trabajo:`, 10, 196);
      doc.text(`Celular:`, 63, 196);
      doc.text(`Correo Electrónico:`, 100, 196);

      //IZQUIERDO NORMALES
      doc.setFont("helvetica", "normal");
      doc.setFontSize(8);
      doc.text(`${data.FiDI_Nombre1} ${data.FiDI_Nombre2} ${data.FiDI_ApellidoPaterno} ${data.FiDI_ApellidoMaterno}`, 39, 50);
      doc.text(`${data.FiDI_CURP}`, 23, 55);
      doc.text(`${data.FiDI_NacCiudad}, ${data.FiDI_NacEstado}`, 41, 60);
      doc.text(`${data.FiDI_Domicilio}`, 25, 65);
      doc.text(`${data.FiDI_Telefono}`, 24, 70);
      doc.text(`${data.FiDI_InstProce}`, 48, 75);
      doc.text(`${data.FiDI_MotivoCambio}`, 37, 80);
      doc.text(`${data.FiDI_RecogerMadre}`, 74, 97);
      doc.text(`${data.FiDI_Autorizados1}`, 74, 102);
      doc.text(`${data.FiDI_Autorizados2}`, 74, 107);
      doc.text(`${data.FiDI_RetirarseSolo}`, 66, 112);
      //-
      doc.text(`${data.FiDI_PadNombre1} ${data.FiDI_PadNombre2} ${data.FiDI_PadApellidoPaterno} ${data.FiDI_PadApellidoMaterno}`, 37, 129);
      doc.text(`${data.FiDI_PadNacionalidad === 'M' ? 'MEXICANO' : 'EXTRANJERO'}`, 30, 134);
      doc.text(`${data.FiDI_PadEstadoCivil === 'C' ? 'CASADO' : data.FiDI_PadEstadoCivil === 'D' ? 'DIVORCIADO' : data.FiDI_PadEstadoCivil === 'S' ? 'SOLTERO' : data.FiDI_PadEstadoCivil === 'O' ? 'OTRO' : 'SEPARADO'}`, 74, 134);
      doc.text(`${data.FiDI_PadNacFechaDia.padStart(2, '0')}/${data.FiDI_PadNacFechaMes.padStart(2, '0')}/${data.FiDI_PadNacFechaAnio} `, 126, 134);
      doc.text(`${data.FiDI_PadEscolaridad === 'S' ? 'SIN ESTUDIOS' : data.FiDI_PadEscolaridad === 'B' ? 'BACHILLERATO' : data.FiDI_PadEscolaridad === 'L' ? 'LICENCIATURA' : data.FiDI_PadEscolaridad === 'M' ? 'MAESTRÍA' : 'DOCTORADO'}`, 164, 134);
      doc.text(`${data.FiDI_PadDomicilio} (C.P. ${data.FiDI_PadCP})`, 25, 139);
      doc.text(`${data.FiDI_PadOcupacion}`, 27, 144);
      doc.text(`${data.FiDI_PadLugTrabajo}`, 36, 149);
      doc.text(`${data.FiDI_PadTelTrabajo}`, 39, 154);
      doc.text(`${data.FiDI_PadCelular}`, 75, 154);
      doc.text(`${data.FiDI_PadCorreo}`, 129, 154);
      //-
      doc.text(`${data.FiDI_MadNombre1} ${data.FiDI_MadNombre2} ${data.FiDI_MadApellidoPaterno} ${data.FiDI_MadApellidoMaterno}`, 37, 171);
      doc.text(`${data.FiDI_MadNacionalidad === 'M' ? 'MEXICANO' : 'EXTRANJERO'}`, 30, 176);
      doc.text(`${data.FiDI_MadEstadoCivil === 'C' ? 'CASADO' : data.FiDI_MadEstadoCivil === 'D' ? 'DIVORCIADO' : data.FiDI_MadEstadoCivil === 'S' ? 'SOLTERO' : data.FiDI_MadEstadoCivil === 'O' ? 'OTRO' : 'SEPARADO'}`, 74, 176);
      doc.text(`${data.FiDI_MadNacFechaDia.padStart(2, '0')}/${data.FiDI_MadNacFechaMes.padStart(2, '0')}/${data.FiDI_MadNacFechaAnio} `, 126, 176);
      doc.text(`${data.FiDI_MadEscolaridad === 'S' ? 'SIN ESTUDIOS' : data.FiDI_MadEscolaridad === 'B' ? 'BACHILLERATO' : data.FiDI_MadEscolaridad === 'L' ? 'LICENCIATURA' : data.FiDI_MadEscolaridad === 'M' ? 'MAESTRÍA' : 'DOCTORADO'}`, 164, 176);
      doc.text(`${data.FiDI_MadDomicilio} (C.P. ${data.FiDI_PadCP})`, 25, 181);
      doc.text(`${data.FiDI_MadOcupacion}`, 27, 186);
      doc.text(`${data.FiDI_MadLugTrabajo}`, 36, 191);
      doc.text(`${data.FiDI_MadTelTrabajo}`, 39, 196);
      doc.text(`${data.FiDI_MadCelular}`, 75, 196);
      doc.text(`${data.FiDI_MadCorreo}`, 129, 196);
      doc.text(`La información que contiene esta hoja es verídica y estoy de acuerdo y enterado de los lineamientos y ofrecimientos del CEN.D.I SONRISAS Y COLEGIO`, 10, 206);
      doc.text(`ABC, así como del convenio de ley del mismo en cuanto a mis pagos de inscripción y colegiaturas.`, 10, 210);
      doc.text(`__________________________________________________`, pageWidth / 2, 230, { align: 'center' });
      doc.text('ACEPTO', pageWidth / 2, 235, { align: 'center' })
      doc.text(`${data.FiDI_PadNombre1} ${data.FiDI_PadNombre2} ${data.FiDI_PadApellidoPaterno} ${data.FiDI_PadApellidoMaterno} Y/0 ${data.FiDI_MadNombre1} ${data.FiDI_MadNombre2} ${data.FiDI_MadApellidoPaterno} ${data.FiDI_MadApellidoMaterno}`, pageWidth / 2, 240, { align: 'center' })
      doc.text('Manifestamos que las firmas aquí mostradas son las autorizadas para firmar la documentación y las boletas del alumno(a).', pageWidth / 2, 250, { align: 'center' })
      doc.text(`____________________________________`, (pageWidth / 5) - 10, 260);
      doc.text(`____________________________________`, (pageWidth / 5) * 3, 260);
      doc.text(`${data.FiDI_MadNombre1} ${data.FiDI_MadNombre2} ${data.FiDI_MadApellidoPaterno} ${data.FiDI_MadApellidoMaterno}`, ((pageWidth / 5) * 2) - 24, 265, { align: 'center' });
      doc.text(`${data.FiDI_PadNombre1} ${data.FiDI_PadNombre2} ${data.FiDI_PadApellidoPaterno} ${data.FiDI_PadApellidoMaterno}`, ((pageWidth / 5) * 4) - 14, 265, { align: 'center' });
      //LADO DERECHO
      //DERECHO NEGRITAS
      doc.setFont("helvetica", "bold");
      doc.setFontSize(8);
      doc.text(`Edad:`, 135, 50);
      doc.text(`Sexo:`, 162, 50);
      doc.text(`Fecha de Nacimiento:`, 135, 55);
      doc.text(`Padre de Familia puede recoger al alumno(a):`, 135, 97);
      //DERECHO NORMALES
      doc.setFont("helvetica", "normal");
      doc.setFontSize(8);
      doc.text(`${data.FiDI_Edad} AÑOS`, 145, 50);
      doc.text(`${data.FiDI_Sexo === 'F' ? 'FEMENINO' : 'MASCULINO'}`, 172, 50);
      doc.text(`${data.FiDI_NacFechaDia.padStart(2, '0')}/${data.FiDI_NacFechaMes.padStart(2, '0')}/${data.FiDI_NacFechaAnio} `, 166, 55);
      doc.text(`${data.FiDI_RecogerPadre}`, 198, 97);

      // -----------------------------------------------------------------------------------------------------------------------------------------------------------
      //segunda página
      doc.addPage();

      //TITULO NORMAL BOLD
      doc.setFont("helvetica", "bold");
      doc.setFontSize(10);
      doc.text(`FICHA DE IDENTIFICACIÓN`, 10, 43);
      doc.text(`CÉDULA PARA EL CENSO DE ALUMNOS`, 10, 53);

      //TITULOS DE LADO
      doc.setFont("helvetica", "italic");
      doc.setFontSize(10);
      doc.text(`DATOS DEL ALUMNO`, 10, 63);
      doc.text(`PADECIMIENTOS, ENFERMEDADES O ALTERACIONES`, 10, 93);
      doc.text(`ANTECEDENTES PRENATALES Y POSTNATALES`, 10, 188);

      //LADO IZQUIERDO
      //IZQUIERDO NEGRITAS
      doc.setFont("helvetica", "bold");
      doc.setFontSize(8);
      doc.text(`Nombre del Alumno:`, 10, 73);
      doc.text(`C.U.R.P.:`, 10, 78);
      doc.text(`Tipo de Sangre:`, 10, 83);
      doc.text(`ES ALÉRGICO A:`, 10, 98);
      doc.text(`Aspirina: `, 40, 98);
      doc.text(`Penicilina: `, 75, 98);
      doc.text(`Otros medicamentos:`, 10, 103);
      doc.text(`HA PADECIDO:`, 10, 109);
      doc.text(`COVID-19:`, 40, 109);
      doc.text(`Paperas:`, 40, 114);
      doc.text(`Escarlatina:`, 40, 119);
      doc.text(`Hepatitis:`, 40, 124);
      doc.text(`Apendicitis:`, 40, 129);

      //-
      doc.text(`Sarampión:`, 75, 114);
      doc.text(`Tosferina:`, 75, 119);
      doc.text(`Varicela:`, 75, 124);
      doc.text(`Meninguitis:`, 75, 129);
      //-
      doc.text(`Rúbeola:`, 120, 114);
      doc.text(`Tifoidea:`, 120, 119);
      doc.text(`Bronquitis:`, 120, 124);
      doc.text(`Desmayos:`, 120, 129);

      doc.text(`PADECE CON FRECUENCIA DE:`, 10, 137);
      //-
      doc.text(`Garganta:`, 75, 142);
      doc.text(`Catarro:`, 75, 147);
      doc.text(`Dolores de Cabeza:`, 75, 152);
      doc.text(`Comezón Frecuente:`, 75, 157);
      //-
      doc.text(`Estómago:`, 120, 142);
      doc.text(`Diarrea:`, 120, 147);
      doc.text(`Fiebres Altas:`, 120, 152);
      doc.text(`Mareos:`, 120, 157);

      doc.text(`Si es diabético, ¿Qué precauciones sigue?`, 10, 163);
      doc.text(`Si es asmático, ¿Qué medicamento utiliza? `, 10, 168);
      doc.text(`Si es epiléptico, ¿Qué precauciones sigue?`, 10, 173);
      doc.text(`¿Presenta alguna enfermedad de la piel? ¿Cuál?`, 10, 178);

      doc.text(`¿Tuvo problemas en el embarazo?`, 10, 198);
      doc.text(`¿Tuvo problemas en el parto?`, 10, 203);
      doc.text(`¿Cuánto pesó?`, 10, 208);
      doc.text(`¿Cuánto pesa?`, 10, 213);
      doc.text(`¿Cuánto midió?`, 80, 208);
      doc.text(`¿Cuánto mide?`, 80, 213);
      doc.text(`Edad de control de esfínteres (Diurno):`, 10, 218);
      doc.text(`Edad de control de esfínteres (Nocturno):`, 10, 223);
      doc.text(`¿Gateó?`, 10, 228);
      doc.text(`¿A qué edad?`, 80, 228);
      doc.text(`Edad en la que habló:`, 10, 233);
      doc.text(`Edad en la que caminó:`, 80, 233);
      doc.text(`Enfermedades que ha padecido:`, 10, 238);
      doc.text(`Enfermedades o alergias que padece:`, 10, 243);
      doc.text(`¿Está en algún tratamiento médico?`, 10, 248);



      //IZQUIERDO NORMALES
      doc.setFont("helvetica", "normal");
      doc.setFontSize(8);
      doc.text(`${data.FiDI_Nombre1} ${data.FiDI_Nombre2} ${data.FiDI_ApellidoPaterno} ${data.FiDI_ApellidoMaterno}`, 40, 73);
      doc.text(`${data.FiDI_CURP}`, 24, 78);
      doc.text(`${data.CedA_TipoSangre === 'A+' ? 'A POSITIVO' : data.CedA_TipoSangre === 'A-' ? 'A NEGATIVO' : data.CedA_TipoSangre === 'B+' ? 'B POSITIVO' : data.CedA_TipoSangre === 'B-' ? 'B NEGATIVO' : data.CedA_TipoSangre === 'O+' ? 'O POSITIVO' : 'O NEGATIVO'}`, 34, 83);
      doc.text(`${data.CedA_AlergiaAspirina.toUpperCase()}`, 60, 98);
      doc.text(`${data.CedA_AlergiaPenicilina.toUpperCase()}`, 100, 98);
      doc.text(`${data.CedA_AlergiaOtro}`, 42, 103);
      doc.text(`${data.CedA_PadCovid19.toUpperCase()}`, 60, 109);
      doc.text(`${data.CedA_PadPaperas.toUpperCase()}`, 60, 114);
      doc.text(`${data.CedA_PadEscarlatina.toUpperCase()}`, 60, 119);
      doc.text(`${data.CedA_PadHepatitis.toUpperCase()}`, 60, 124);
      doc.text(`${data.CedA_PadApendicitis.toUpperCase()}`, 60, 129);
      //-
      doc.text(`${data.CedA_PadSarampio.toUpperCase()}`, 105, 114);
      doc.text(`${data.CedA_PadTosferina.toUpperCase()}`, 105, 119);
      doc.text(`${data.CedA_PadVaricela.toUpperCase()}`, 105, 124);
      doc.text(`${data.CedA_PadMeningitis.toUpperCase()}`, 105, 129);
      //-
      doc.text(`${data.CedA_PadRubeola.toUpperCase()}`, 145, 114);
      doc.text(`${data.CedA_PadTifoidea.toUpperCase()}`, 145, 119);
      doc.text(`${data.CedA_PadBronquitis.toUpperCase()}`, 145, 124);
      doc.text(`${data.CedA_PadDesmayos.toUpperCase()}`, 145, 129);
      //-
      doc.text(`${data.CedA_PadGarganta.toUpperCase()}`, 105, 142);
      doc.text(`${data.CedA_PadCatarro.toUpperCase()}`, 105, 147);
      doc.text(`${data.CedA_PadDolorCabeza.toUpperCase()}`, 105, 152);
      doc.text(`${data.CedA_PadComezon.toUpperCase()}`, 105, 157);
      //-
      doc.text(`${data.CedA_PadEstomago.toUpperCase()}`, 145, 142);
      doc.text(`${data.CedA_PadDiarrea.toUpperCase()}`, 145, 147);
      doc.text(`${data.CedA_PadFiebreAlta.toUpperCase()}`, 145, 152);
      doc.text(`${data.CedA_PadMareos.toUpperCase()}`, 145, 157);

      doc.text(`${data.CedA_DiabeticoPrecauciones}`, 71, 163);
      doc.text(`${data.CedA_AsmaticoPrecauciones}`, 71, 168);
      doc.text(`${data.CedA_EpilepticoPrecauciones}`, 71, 173);
      doc.text(`${data.CedA_EnfermedadEnPiel}`, 78, 178);

      doc.text(`${data.CedA_ProbEmbarazo.toUpperCase()}`, 58, 198);
      doc.text(`${data.CedA_ProbParto.toUpperCase()}`, 52, 203);
      doc.text(`${data.CedA_PesoNacimiento} KILOS`, 32, 208);
      doc.text(`${data.CedA_PesoActual} KILOS`, 32, 213);
      doc.text(`${data.CedA_AlturaNacimiento} CENTÍMETROS`, 102, 208);
      doc.text(`${data.CedA_AlturaActual} METROS`, 102, 213);
      doc.text(`${data.CedA_EsfinteresDiurno} AÑOS`, 64, 218);
      doc.text(`${data.CedA_EsfinteresNocturno} AÑOS`, 67, 223);
      doc.text(`${data.CedA_Gateo.toUpperCase()}`, 25, 228);
      doc.text(`${data.CedA_GateoEdad} AÑOS`, 102, 228);
      doc.text(`${data.CedA_EdadHablo} AÑOS`, 40, 233);
      doc.text(`${data.CedA_EdadCamino} AÑOS`, 115, 233);
      doc.text(`${data.CedA_EnfermedadesPadecidas}`, 55, 238);
      doc.text(`${data.CedA_EnfermedadesAlergiasActuales}`, 62, 243);
      doc.text(`${data.CedA_TratamientoMedicoActual}`, 60, 248);

      // -----------------------------------------------------------------------------------------------------------------------------------------------------------
      //tercera página
      doc.addPage();

      //TITULO NORMAL BOLD
      doc.setFont("helvetica", "bold");
      doc.setFontSize(10);
      doc.text(`FICHA DE IDENTIFICACIÓN`, 10, 43);

      //LADO IZQUIERDO
      //IZQUIERDO NEGRITAS
      doc.setFont("helvetica", "bold");
      doc.setFontSize(8);
      doc.text(`¿Usa lentes?`, 10, 53);
      doc.text(`¿Tiene pie plano?`, 50, 53);
      doc.text(`¿Utiliza plantilla o zapato ortopédico?`, 90, 53);
      doc.text(`¿Su hijo ha tenido algún problema de aprendizaje?`, 10, 58);
      doc.text(`¿Cómo es su relación de pareja?`, 10, 63);
      doc.text(`¿Cuál o cuáles son los problemas familiares que enfrentan con mayor frecuencia?`, 10, 68);
      doc.text(`¿Creen que hayan afectado a su hijo por problemas personales?`, 10, 73);
      doc.text(`¿Su hijo ha recibido algún tipo de tratamiento psicológico?`, 10, 78);
      doc.text(`¿Qué es lo que le desagrada más al niño de su familia?`, 10, 83);
      doc.text(`¿Qué creen ustedes que le agrada más al niño de su familia?`, 10, 88);
      doc.text(`¿Qué actividades de su hogar no le gusta hacer a a su hijo?`, 10, 93);
      doc.text(`¿Qué actividades de su hogar le gusta hacer a su hijo?`, 10, 98);
      doc.text(`¿Cuáles son los mayores defectos de su hijo?`, 10, 103);
      doc.text(`¿Cuáles son las mayores virtudes de su hijo?`, 10, 108);
      doc.text(`¿Qué es lo que espera en el futuro para su hijo?`, 10, 113);
      doc.text(`Algún comentario que crea importante agregar:`, 10, 118);
      doc.text(`Autorizo que mi hijo sea atendido por el personal del Colegio ABC en caso de necesitarlo y asumo la responsabilidad en caso de emergencia y`, 10, 143);
      doc.text(`que no puedan localizarme para solicitar mi aprobación.`, 10, 146);
      doc.text(`____________________________________`, (pageWidth / 5) - 10, 180);
      doc.text(`____________________________________`, (pageWidth / 5) * 3, 180);
      doc.text(`${data.FiDI_MadNombre1} ${data.FiDI_MadNombre2} ${data.FiDI_MadApellidoPaterno} ${data.FiDI_MadApellidoMaterno}`, ((pageWidth / 5) * 2) - 24, 185, { align: 'center' });
      doc.text(`${data.FiDI_PadNombre1} ${data.FiDI_PadNombre2} ${data.FiDI_PadApellidoPaterno} ${data.FiDI_PadApellidoMaterno}`, ((pageWidth / 5) * 4) - 14, 185, { align: 'center' });



      //IZQUIERDO NORMALES
      doc.setFont("helvetica", "normal");
      doc.setFontSize(8);
      doc.text(`${data.CedA_UsaLentes.toUpperCase()}`, 30, 53);
      doc.text(`${data.CedA_PiePlano.toUpperCase()}`, 76, 53);
      doc.text(`${data.CedA_Ortopedico.toUpperCase()}`, 144, 53);
      doc.text(`${data.CedA_ProbAprendizaje}`, 83, 58);
      doc.text(`${data.CedA_RelPareja}`, 57, 63);
      doc.text(`${data.CedA_ProblemasFamiliares}`, 124, 68);
      doc.text(`${data.CedA_HijoAfectado}`, 99, 73);
      doc.text(`${data.CedA_TratPsicologico}`, 92, 78);
      doc.text(`${data.CedA_LoQueDesagradaFamilia}`, 86, 83);
      doc.text(`${data.CedA_LoQueAgradaFamilia}`, 95, 88);
      doc.text(`${data.CedA_HogarNoGustan}`, 93, 93);
      doc.text(`${data.CedA_HogarGustan}`, 86, 98);
      doc.text(`${data.CedA_Defectos}`, 75, 103);
      doc.text(`${data.CedA_Virtudes}`, 75, 108);
      doc.text(`${data.CedA_Futuro}`, 78, 113);
      doc.text(`${data.CedA_Comentario}`, 78, 118);

      // -----------------------------------------------------------------------------------------------------------------------------------------------------------
      //cuarta página
      doc.addPage();

      // -----------------------------------------------------------------------------------------------------------------------------------------------------------
      //quinta página
      doc.addPage();

      doc.setFont("helvetica", "bold");
      doc.setFontSize(10);
      doc.text(`AVISO DE PRIVACIDAD SIMPLIFICADO`, pageWidth / 2, 43, { align: 'center' });

      //NORMALES
      doc.setFont("helvetica", "normal");
      doc.setFontSize(8);
      doc.text(`El "CENDI SONRISAS", representado por Roberto Cornejo Morales, con domicilio en calle Chopo Esquina Olivo S/N, Col. Villas del Descanso, Jiutepec,`, 10, 53);
      doc.text(`Morelos, México, C.P. 62550 es el responsable del uso y protección de sus datos personales, y al respecto le informa lo siguiente:`, 10, 57);
      doc.text(`Los datos personales que recabamos de usted, los utilizaremos para las siguientes finalidades que son necesarias para el servicio que solicita:`, 10, 62);
      doc.text("\u2022 Proveer los servicios educativos requeridos por ustedes y sus hijos(as), en nuestras secciones Maternal y Preescolar en todos sus grados, de", 20, 67);
      doc.text("conformidad con nuestra misión educativa.", 20, 71);
      doc.text("\u2022 Llevar a cabo la inscripción del alumno en nuestro sistema escolar.", 20, 76);
      doc.text("\u2022 Brindar información y comunicación entre las secciones de Maternal y Preescolar en todos sus grados, como por ejemplo, en el caso de que el", 20, 81);
      doc.text("alumno continúe sus estudios dentro de la Institución, habiendo cumplido cada uno de los niveles académicos correspondientes", 20, 85);
      doc.text("\u2022 Información y comunicación entre las diferentes secciones de la institución, los directivos, los profesores, los alumnos y padres de familia, por", 20, 90);
      doc.text("ejemplo en caso de emergencias, aviso sobre el desempeño académico de sus alumnos, entre otros.", 20, 94);
      doc.text("\u2022 Realización de cualquier trámite interno de la Institución que sea necesario para poder cumplir con los fines de la misma", 20, 99);
      doc.text("\u2022 Ofrecerle información de otras instituciones con las que el Cendi Sonrisas se auxilie para el desarrollo integral de los alumnos que estudian en", 20, 104);
      doc.text("nuestras secciones de Maternal y Preescolar, tales como: eventos, clubes y ligas deportivas, campamentos y cursos de verano, etc.", 20, 108);
      doc.text("\u2022 Para la administración de nuestros servicios escolares, incluyendo pago de colegiaturas, facturación electrónica, emisión de constancias y", 20, 113);
      doc.text("documentos requeridos por alumnos y/o padres de familia.", 20, 117);
      doc.text("\u2022 Integrar a los alumnos a los programas de intercambio con otras instituciones dentro y fuera del país", 20, 122);
      doc.text(`De manera adicional, utilizaremos su información personal para las siguientes finalidades que no son necesarias para el servicio solicitado, pero que nos`, 10, 129);
      doc.text(`permiten y facilitan brindarle una mejor atención:`, 10, 134);
      doc.text("\u2022 Ofrecerle información, becas y/o promociones.", 20, 139);
      doc.text(`En caso de que no desee que sus datos personales sean tratados para estos fines adicionales, desde este momento usted nos puede comunicar lo`, 10, 146);
      doc.text(`anterior, anotándose en la lista que se encuentra en Dirección Escolar.`, 10, 150);
      doc.text(`La negativa para el uso de sus datos personales para estas finalidades no podrá ser un motivo para que le neguemos los servicios y productos que solicita`, 10, 157);
      doc.text(`o contrata con nosotros.`, 10, 161);
      doc.text(`Para conocer mayor información sobre los términos y condiciones en que serán tratados sus datos personales, como los terceros con quienes`, 10, 166);
      doc.text(`compartimos su información personal y la forma en que podrá ejercer sus derechos ARCO, puede consultar el aviso de privacidad integral en la página de`, 10, 170);
      doc.text(`Internet o en la Dirección Escolar.`, 10, 174);
      doc.text(`Si usted considera que su derecho a la protección de sus datos personales ha sido lesionado por alguna conducta u omisión de nuestra parte, o presume`, 10, 179);
      doc.text(`alguna violación a las disposiciones previstas en la Ley Federal de Protección de Datos Personales en Posesión de los Particulares, su Reglamento y`, 10, 184);
      doc.text(`demás ordenamientos aplicables podrá interponer su inconformidad o denuncia ante el Instituto Federal de Acceso a la Información y Protección de Datos`, 10, 189);
      doc.text(`(IFAI). Para mayor información, le sugerimos visitar su página oficial de Internet www.ifai.org.mx`, 10, 194);
      doc.text(`Por este medio certificó que he leído y es mi conocimiento el presente Aviso de Privacidad Simplificado.`, 10, 214);
      doc.text(`__________________________________________________`, pageWidth / 2, 234, { align: 'center' });
      doc.text('PROTESTO LO NECESARIO', pageWidth / 2, 239, { align: 'center' })
      doc.text(`${data.FiDI_PadNombre1} ${data.FiDI_PadNombre2} ${data.FiDI_PadApellidoPaterno} ${data.FiDI_PadApellidoMaterno} Y/0 ${data.FiDI_MadNombre1} ${data.FiDI_MadNombre2} ${data.FiDI_MadApellidoPaterno} ${data.FiDI_MadApellidoMaterno}`, pageWidth / 2, 244, { align: 'center' })
      
      // Descarga el PDF
      doc.save(`RegistroAlumno_${data.idAlumno}.pdf`);
    })
  }
}